import { Component, Input, OnInit } from "@angular/core";

@Component({
  selector: 'app-statuscard',
  templateUrl: './statuscard.component.html',
  styleUrls: ['./statuscard.component.scss']
})
export class StatusCardComponent implements OnInit {

  @Input() statusStats: number;
  @Input() statusTitle: string;
  @Input() redirectsToPortal: boolean;
  @Input() portalLink: string;
  @Input() statusIcon: string;
  @Input() dataCY: string;
  @Input() isLoading: boolean;
  constructor() {}

  ngOnInit(): void {
    
  }  

  isNaN(value: any): boolean {
    return isNaN(value);
  }
  
}